<?php
/**
 * Created by PhpStorm.
 * User: rafaelporto
 * Date: 28/01/2016
 * Time: 13:11
 */

namespace Factory;

use Teknisa\Model\Geral\Entities\ZhuAccessControlRule;
use Teknisa\Model\Geral\Entities\ZhuAccessControlElement;
use Util\Utilities;

class ZhRule
{
    public function save($zhRule,$rule,ZhuAccessControlElement $element,$groupId,$currentUserId) {
        $now = new \DateTime();
        if(!$zhRule){
            $organizationId = Utilities::getEnvironment()->getCurrentOrganizationId();
            $zhRule = new ZhuAccessControlRule();
            $zhRule->setCreatedBy($currentUserId);
            $zhRule->setCreated($now);
            $zhRule->setNrorg($organizationId);
            $zhRule->setOrganizationId($organizationId);
        }
        $zhRule->setUpdatedBy($currentUserId);
        $zhRule->setUpdatedBy($currentUserId);
        $zhRule->setUpdated($now);
        $zhRule->setName($element->getName());
        $zhRule->setRule($rule);
        $zhRule->setAccessControlElementId($element->getId());
        $zhRule->setGroupId($groupId);
        return $zhRule;
    }

}